Add Blessing
- PUT /platform/infrastructure/blueprinter/roles/{blueprinter_role_id}/blessings/{runner_id}
Add a Blessing for a runner to a role.
Path Parameters
-
blueprinter_role_idstringrequired -
User-specified Blueprinter role ID.
-
runner_idstringrequired -
Runner ID for a blessing associated with a role.
Query Parameters
-
versioninteger When specified, checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)
Responses
Blessing added successfully.
-
idstringrequired -
The unique id of this role
-
roleRoleWithMetarequired -
Persisted role along with metadata
-
valueRolerequired -
Describes whether certain runners are blessed to run a Role.
-
idstringrequired -
The unique id of this role
-
auto_blessedbooleanrequired -
Whether runners are automatically allowed to be assigned the containers of this role.
-
containersContainersEntryrequired -
The containers that are part of this role
-
namestringrequired -
Name of the association
-
container_set_namestringrequired -
The container set name (id)
-
kindstringrequired -
The kind of container set, should be one of 'docker', 'elasticsearch', 'kibana', or 'apm'
-
optionsContainersEntryOptionsrequired -
Options for a ContainersEntry belonging to a role
-
enabledbooleanrequired -
Whether this allocation is active and should be created.
-
authsContainersEntryOptionsAuthrequired -
ZooKeeper Auths associated with this allocation
-
aclsContainersEntryOptionsACLrequired -
ZooKeeper ACLs associated with this allocation
-
runners_secretstring -
Secret shared between the runners that have containers in this container set allocated.
-
container_set_secretstring -
Secret shared between the containers that are part of this container set.
-
enabled_by_named_feature_flagstring -
A named feature flag to check whether this container is enabled or not
-
overridesContainersEntryOptionsOverrides -
Overrides for the container allocation.
-
container_configContainersEntryOptionsContainerConfig -
Container config. Roughly corresponds to Docker container config
-
envstringrequired -
List of environment variables on the form KEY=value
-
host_configContainerConfigHostConfig -
Docker host config
-
extra_hostsstringrequired -
Ports that are exposed by the container.
-
network_modestring -
Sets the networking mode for the container.
-
cpu_periodinteger -
The length of a CPU period in microsecond
-
restart_policyRestartPolicy -
A policy that is applied when a container unexpectedly exits
-
namestringrequired -
Identifier for the policy.
-
maximum_retry_countinteger -
Maximum number of times to re-try before giving up
-
port_bindingsmap string to PortBindingrequired -
Map of ports that should be exposed on the host.
-
bindsstringrequired -
Volume bindings for the container.
-
privilegedbooleanrequired -
List of environment variables on the form KEY=value
-
metaMetadatarequired -
Metadata of an entity
-
created_timestringrequired -
Creation time
-
modified_timestringrequired -
Modification time
-
versionstringrequired -
Version
-
blessingsBlessingsWithMeta -
Persisted Blessings along with metadata
-
valueBlessingsrequired -
Describes whether certain runners are blessed to run a Role.
-
runner_ids_to_blessingmap string to Blessingrequired -
A mapping of Runner Ids to whether or not they are blessed to run the associated role
-
<string>Blessing -
valuebooleanrequired -
Whether something is blessed or not
-
metaMetadatarequired -
Metadata of an entity
-
created_timestringrequired -
Creation time
-
modified_timestringrequired -
Modification time
-
versionstringrequired -
Version
-
pendingPendingStatesWithMeta -
Persisted pending states for a role along with metadata
-
valuePendingStatesrequired -
Describes whether certain runners are waiting to be blessed.
-
runner_ids_to_pending_statemap string to PendingStaterequired -
A mapping of Runner Ids to whether or not they are waiting to be blessed to run the associated role
-
<string>PendingState -
valuebooleanrequired -
Whether a runner is pending blessings or not
-
metaMetadatarequired -
Metadata of an entity
-
created_timestringrequired -
Creation time
-
modified_timestringrequired -
Modification time
-
versionstringrequired -
Version
The role can't be found. (code: roles.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Your request failed because the specified version does not match the persisted version. (code: roles.version_conflict)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response